Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Deus Max <[email-masked]>
Date: Wed, 19 Jun 2019 23:57:40 +0300

On Mon, Jun 17 2019, Eric Abrahamsen wrote:

> Deus Max <[email-masked]> writes:
>
>> Hi Eric,
>>
>> I would be happy to test for gnus group names.
>>
>> Sorry, I haven't been following the thread.
>> So, how can I help testing ?
>
> Cool, thanks! I don't know if you've built Emacs from git before, so
> here's complete instructions, assuming something unixy:
>
> git clone https://git.savannah.gnu.org/git/emacs.git
> cd emacs
> git checkout scratch/gnus-decoded
> make (maybe ./autogen.sh is needed?)
> [back up your newsrc.eld file, and gnus.registry.eieio if you use it]
> src/emacs
>
> Then just start Gnus as normal. Basically I'm just hoping that nothing
> "funny" happens. Do what you usually do, maybe kill and yank some
> groups, copy messages around, etc. See if anything looks wrong. There's
> such an enormous variety of Gnus customization out there, it's important
> to get more people with more setups running the code.
>
> Test until you get bored, and let me know if you see anything!
>
> Thanks again,
> Eric

Followed your instruction and compiled an emacs binary from the
scratch/gnus-decoded branch.

1. When listing Groups in the Group buffer using (l) or (L), all good.

2. In a group Summary Buffer, when moving (B m) an article to a new
   (non-existent) group in English, Gnus asks, creates group & moves article.

3. Same group Summary Buffer, moving to a Greek named  group, Gnus asks
   with name encoded as numbers and fails to create group. Here is
   '*Message*' buffer:

   : Generating summary...done
   : Loading quail/greek...done
   : No such group: Dias/£º…»¹ƒ¹±–‰·.  Create it? (y or n) y
   : gnus-read-move-group-name: Couldnt create group Dias/£º…»¹ƒ¹±–‰·
   : No more articles [2 times]
   : No such group: Dias/–‰·•½¤±†¿.  Create it? (y or n) y
   : gnus-read-move-group-name: Couldnt create group Dias/–‰·•½¤±†¿
   : next-line: End of buffer
   : No more articles [2 times]

Also, trying to save the above text in a separate file, I get (after
setting the coding system to utf-8-emacs-unix):

   : These default coding systems were tried to encode text
   : in the buffer emacs-gnus-group-2019-06-19.txt:
   :   (utf-8-emacs-unix (74 . 4194254) (75 . 4194211) (76 . 4194254) (77 . 4194234) (78
   :   . 4194255) (79 . 4194181) (80 . 4194254) (81 . 4194235) (82 . 4194254) (83 .
   :   4194233) (84 . 4194255))
   : However, each of them encountered characters it couldnt encode:
   :   utf-8-emacs-unix cannot encode these:           ...
   :
   : Click on a character (or switch to this window by M-x other-window
   : and select the characters by RET) to jump to the place it appears,
   : where C-u C-x = will give information about it.
   :
   : Select one of the safe coding systems listed below,
   : or cancel the writing with C-g and edit the buffer
   :    to remove or modify the problematic characters,
   : or specify any other coding system (and risk losing
   :    the problematic characters).
   :
   :   raw-text no-conversion

Hope this helps.
1. comit: 40ad1c0d63804d8d0c30d994907b330ccb952793
2. not using the Gnus registry